<template>
  <v-theme-provider dark class="app-reviews white--text font-weight-medium text-center" style="padding: 8vh 0">
    <section>
      <v-container class="py-5 my-5">
        <h3 class="title pt-5">
          {{ title }}
        </h3>
        <v-row class="grow" justify="center" align="center">
          <v-col class="shrink">
            <v-btn dark icon @click="prev">
              <v-icon>{{ mdiArrowLeft }}</v-icon>
            </v-btn>
          </v-col>
          <v-col class="grow">
            <v-window v-model="onboarding" dark class="mt-4" style="height: 150px" continuous>
              <v-window-item v-for="(review, idx) in reviews" :key="idx">
                <article class="subtitle d-flex flex-column align-center">
                  <p class="subtitle font-italic">
                    {{ review.text }}
                  </p>
                  <v-list-item>
                    <v-list-item-content>
                      <v-list-item-title>{{ review.user }}</v-list-item-title>
                    </v-list-item-content>
                  </v-list-item>
                </article>
              </v-window-item>
            </v-window>
          </v-col>
          <v-col class="shrink">
            <v-btn dark icon @click="next">
              <v-icon>{{ mdiArrowRight }}</v-icon>
            </v-btn>
          </v-col>
          <v-col cols="12" class="mt-5 mt-sm-0">
            <v-item-group v-model="onboarding" class="text-center" mandatory>
              <v-item v-for="n in reviews.length" :key="`btn-${n}`" v-slot:default="{active, toggle}">
                <v-btn dark small :input-value="active" icon @click="toggle">
                  <v-icon small>
                    {{ mdiRecord }}
                  </v-icon>
                </v-btn>
              </v-item>
            </v-item-group>
          </v-col>
        </v-row>
      </v-container>
    </section>
  </v-theme-provider>
</template>
<script lang="ts">
import { mdiAccountCircle, mdiArrowLeft, mdiArrowRight, mdiRecord } from '@mdi/js'
import { defineComponent, ref } from '@vue/composition-api'
const title = 'Check what other people are saying about their experience working with Find Your Next Apartment'
const reviews = [
  {
    user: 'Ashlie',
    text: 'If I were to redo my apartment search, I’d contact Find Your Next Apartment first! So helpful, I can’t believe it’s a free service. I worked with jennifer and she is awesome! Super friendly, quick, and accessible.'
  },
  {
    user: 'Charlie',
    text: 'Remotely trying to find a good apartment in an increasingly crazy market like Dallas was completely daunting, to say the least. A friend of a friend referred me to  Find Your Next Apartment and I hesitantly reached out to them. I ended up working with Victoria  and I don’t have enough good things to say about the experience.'
  },
  {
    user: 'Amy',
    text: 'HIGHLY RECOMMEND! Once I contacted Find Your Next Apartment , I was able to find an apartment with everything I wanted in 2 days! Andrew has a great energy, extremely helpful, will drop everything he is doing to assist with questions, and uses his connections to make sure you are taken care of. i will only use this company for any future moves in Austin! Thank you !'
  }
]
export default defineComponent({
  name: 'AppReviews',
  setup () {
    const onboarding = ref(0)
    return {
      title,
      onboarding,
      prev: () => {
        onboarding.value = onboarding.value - 1 < 0 ? reviews.length - 1 : onboarding.value - 1
      },
      next: () => {
        onboarding.value = onboarding.value + 1 === reviews.length ? 0 : onboarding.value + 1
      },
      reviews,
      mdiAccountCircle,
      mdiArrowLeft,
      mdiRecord,
      mdiArrowRight
    }
  }
})
</script>

<style>
.app-reviews {
  background: rgb(249,117,79);
  background: linear-gradient(165deg, rgba(249,117,79,0.9) 40%, rgba(237,175,42,0.9) 100%);
}
.app-reviews .v-responsive__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
</style>
